Qore SqlUtil Module Reference 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Functions
SQL Insert Operator Functions

## Functions
hash | SqlUtil::iop_seq (string arg)
| returns a hash for retrieving the value of the given sequence in insert queries More...
hash | SqlUtil::make_iop (string iop, any arg)
| returns a hash with `_iop` and `arg` keys More...

## Detailed Description

These are functions that can be used to give special values in insert queries

- iop_seq(): insert the value of a sequence into the column

## Function Documentation

hash SqlUtil::iop_seq | ( | string | arg | ) |

returns a hash for retrieving the value of the given sequence in insert queries

Example:
  $table.insert(("id": $id, "ref": iop_seq("xid")));

Parameters

  arg | the name of the sequence whose value should be inserted into the column

Returns
  a value operator description hash corresponding to the arguments for use in insert queries

hash SqlUtil::make_iop | ( | string | iop,
|  | any | arg
| ) |  |

returns a hash with `_iop` and `arg` keys

Parameters

  iop | the value operator (one of SQL Insert Operators)
  arg | the argument to the operator

Returns
  an insert operator description hash corresponding to the arguments for use as values in insert queries

Note
  Normally this function is not called directly, but rather by the other insert operator functions